> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qfex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Symbol Long Short Historic

> Return historic long and short user counts for a symbol over a time range.



## OpenAPI

````yaml /api-reference/openapi.yaml get /symbol-long-short/{symbol}
openapi: 3.1.0
info:
  contact:
    email: support@qfex.com
    name: QFEX Support
  description: REST API for QFEX
  license:
    name: QFEX License
    url: https://qfex.com/license
  title: QFEX REST API
  version: 0.1.0
servers:
  - description: Production server
    url: https://api.qfex.com
security: []
paths:
  /symbol-long-short/{symbol}:
    get:
      tags:
        - market-data
      summary: Symbol Long Short Historic
      description: >-
        Return historic long and short user counts for a symbol over a time
        range.
      operationId: read-symbol-long-short-historic
      parameters:
        - in: path
          name: symbol
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: interval
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: fromISO
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: toISO
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SymbolLongShortHistoricResponseBody'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security: []
components:
  schemas:
    SymbolLongShortHistoricResponseBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://api.qfex.com/schemas/SymbolLongShortHistoricResponseBody.json
          format: uri
          readOnly: true
          type: string
        count:
          format: int64
          type: integer
        data:
          items:
            $ref: '#/components/schemas/SymbolLongShortPoint'
          type:
            - array
            - 'null'
      required:
        - data
        - count
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    SymbolLongShortPoint:
      additionalProperties: false
      properties:
        interval:
          type: string
        longUsers:
          format: int64
          minimum: 0
          type: integer
        shortUsers:
          format: int64
          minimum: 0
          type: integer
        symbol:
          type: string
        windowStart:
          type: string
      required:
        - symbol
        - interval
        - windowStart
        - longUsers
        - shortUsers
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````